# FederateHandleSetImp Class Reference

`#include <RTItypesImp.hh>`

Inheritance diagram for FederateHandleSetImp:

[legend]

List of all members.

## Public Member Functions
| FederateHandleSetImp (ULong)
virtual | ~FederateHandleSetImp ()
virtual ULong | size () const
virtual FederateHandle | getHandle (ULong) const throw (RTI::ArrayIndexOutOfBounds)
virtual void | add (FederateHandle) throw (RTI::ValueCountExceeded)
virtual void | remove (FederateHandle) throw (RTI::ArrayIndexOutOfBounds)
virtual void | empty ()
virtual RTI::Boolean | isMember (FederateHandle) const
## Protected Attributes
std::vector< FederateHandle > | _set

## Detailed Description

Definition at line 147 of file RTItypesImp.hh.

## Constructor & Destructor Documentation

FederateHandleSetImp | ( | ULong | size | ) |

Definition at line 244 of file RTItypesImp.cc.

References FederateHandleSetImp::_set.

~FederateHandleSetImp | ( |  | ) | `[virtual]`

Definition at line 249 of file RTItypesImp.cc.

## Member Function Documentation

ULong size | ( |  | ) | const`[virtual]`

Implements RTI::FederateHandleSet.

Definition at line 253 of file RTItypesImp.cc.

References FederateHandleSetImp::_set.

Referenced by FederateHandleSetImp::getHandle().

FederateHandle getHandle | ( | ULong | i | ) | const throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Implements RTI::FederateHandleSet.

Definition at line 258 of file RTItypesImp.cc.

References FederateHandleSetImp::_set, and FederateHandleSetImp::size().

Here is the call graph for this function:

void add | ( | FederateHandle | h | ) | throw (RTI::ValueCountExceeded)`[virtual]`

Definition at line 267 of file RTItypesImp.cc.

References FederateHandleSetImp::_set.

void remove | ( | FederateHandle | h | ) | throw (RTI::ArrayIndexOutOfBounds)`[virtual]`

Definition at line 273 of file RTItypesImp.cc.

References FederateHandleSetImp::_set.

void empty | ( |  | ) | `[virtual]`

Implements RTI::FederateHandleSet.

Definition at line 283 of file RTItypesImp.cc.

References FederateHandleSetImp::_set.

RTI::Boolean isMember | ( | FederateHandle | h | ) | const`[virtual]`

Definition at line 288 of file RTItypesImp.cc.

References FederateHandleSetImp::_set.

## Member Data Documentation

std::vector<FederateHandle> _set`[protected]`

Definition at line 169 of file RTItypesImp.hh.

Referenced by FederateHandleSetImp::add(), FederateHandleSetImp::empty(), FederateHandleSetImp::FederateHandleSetImp(), FederateHandleSetImp::getHandle(), FederateHandleSetImp::isMember(), FederateHandleSetImp::remove(), and FederateHandleSetImp::size().

The documentation for this class was generated from the following files:

- RTItypesImp.hh
- RTItypesImp.cc